This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 439932 - (CVE-2008-1515) CVE-2008-1515 otrs SOAP authentications allows to get remote access without valid SOAP user
CVE-2008-1515 otrs SOAP authentications allows to get remote access without v...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 439933 439934 439936
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 21:05 EDT by Lubomir Kundrak
Modified: 2008-04-24 07:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 07:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-31 21:05:19 EDT
ommon Vulnerabilities and Exposures assigned an identifier CVE-2008-1515 to the following vulnerability:

SOAP authentications allows to get remote access without valid SOAP user

  Missing security checks allows remote SOAP connections to get access
  to OTRS without valid SOAP user.

  This vulnerability allows an remote attacker to read and modify objects
  via the OTRS SOAP interface.

Affected by this vulnerability are all releases of OTRS 2.1.0 up
to and including 2.2.5.

This vulnerability is fixed in OTRS 2.1.8 and OTRS 2.2.6.

As a workaround you can remove the file bin/cgi-bin/rpc.pl or
update bin/cgi-bin/rpc.pl from cvs to version 1.6
(http://cvs.otrs.org/viewvc.cgi/otrs/bin/cgi-bin/rpc.pl).

References:

http://otrs.org/advisory/OSA-2008-01-en/
Comment 2 Fedora Update System 2008-04-08 15:43:42 EDT
otrs-2.1.5-4.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-16 23:52:20 EDT
otrs-2.1.5-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-04-24 07:17:11 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3100


Note You need to log in before you can comment on or make changes to this bug.